メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.snorbe.deskrex.ai/llms.txt

Use this file to discover all available pages before exploring further.

ソース詳細取得

指定したソース(public または private)の詳細情報を返します。本文テキスト全体、本文から抽出されたリンク、リンクされたエージェント実行、リンクされたエンティティを含みます。

リクエスト

GET /api/v1/graph/source/{sourceId}?sourceType=public

パスパラメータ

パラメータ説明
sourceIdstringソース ID

クエリパラメータ

パラメータ必須説明
sourceTypestringはいソース種別: public または private

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer snorbe_... 形式の API キー
ワークスペースは API キーに紐づくものが自動的に使用されます。workspaceId パラメータは不要です。

レスポンス

{
  "id": "clsrc001",
  "url": "https://example.com/research-paper",
  "title": "Advances in Solid-State Battery Technology",
  "description": "A comprehensive review of recent developments...",
  "body": "Solid-state batteries have emerged as a promising alternative...",
  "bodyLinks": [
    {
      "title": "Related Study",
      "url": "https://example.com/related-study",
      "type": "external"
    }
  ],
  "sourceType": "public",
  "createdAt": "2026-03-10T08:00:00.000Z",
  "agentRuns": [
    {
      "id": "clrun001",
      "status": "completed",
      "createdAt": "2026-04-01T09:00:00.000Z",
      "linkedEntityIds": ["clxxx001", "clxxx002"],
      "turnId": "clturn001"
    }
  ],
  "linkedEntities": [
    {
      "id": "clxxx001",
      "label": "Solid-State Battery",
      "category": "technology",
      "kind": "entity"
    }
  ]
}
ソースがワークスペースに存在しない場合は null を返します。

レスポンスフィールド

フィールド説明
idstringソース ID
urlstringソース URL
titlestringソースタイトル
descriptionstringソースの説明
bodystringソースの本文テキスト全文
bodyLinksobject[]本文から抽出されたリンク
bodyLinks[].titlestringリンクタイトル
bodyLinks[].urlstringリンク URL
bodyLinks[].typestringリンクタイプ(例: external
sourceTypestringソース種別(public または private
createdAtstring作成日時(ISO 8601)
agentRunsobject[]このソースを使用したエージェント実行
agentRuns[].idstringエージェント実行 ID
agentRuns[].statusstring実行ステータス(completed, running, error 等)
agentRuns[].createdAtstring実行の作成日時(ISO 8601)
agentRuns[].linkedEntityIdsstring[]このエージェント実行にリンクされたエンティティ ID
agentRuns[].turnIdstring | nullこのエージェント実行に紐づくターン ID
linkedEntitiesobject[]このソースから抽出またはリンクされたエンティティ
linkedEntities[].idstringエンティティ ID
linkedEntities[].labelstringエンティティ名
linkedEntities[].categorystringエンティティカテゴリ
linkedEntities[].kindstringエンティティ種別

使用例

curl "https://app.snorbe.deskrex.ai/api/v1/graph/source/clsrc001?sourceType=public" \
  -H "Authorization: Bearer snorbe_your_api_key_here"

エラーレスポンス

HTTP ステータス説明
401API キーが無効、期限切れ、または未指定
403アクセス権限がありません(ソースが別のワークスペースまたはユーザーに属しています)
404ソースが見つかりません(null ボディを返します)